<?php

$target = 'guia';
include ("funciones/funciones_backup.php");
include ("conexion/conexion.php");
include ("Menu/menu_inicio.php");
include ("Usuarios/mensajeros.php");
$nombrepagina = "INCONGRUENCIAS";
encabezado($target);
$_SESSION['cnt_inc'] = 0;

function escribe_archivo($str_cadena, $str_archivo)
{
    $archivo = fopen($str_archivo, "a+");
    fwrite($archivo, $str_cadena);
    fclose($archivo);
}




$user = $_SESSION['validar'];
$_cli = $_SESSION['cliente'];
$filas = 1;
if ($filas == 1)
{
    class llamado
    {
        var $menuObj;
        function validar1($id_user, $id_sucursal)
        {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }
    }
    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    //		entrada($user,$_GET['id_user'],$_GET['suc']);
    echo "</td>";
    echo "<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);
    class obtiene
    {
        var $userObj;
        function obtener($perfil)
        {
            $this->userObj = new select_zonas();
            $tabla = $this->userObj->get_tabla($_GET['suc']);
            $_SESSION['tabla_guia'] = $tabla;
        }
    }
    $eliminaObj = new obtiene();
    $eliminaObj->obtener($suc);
    $tabla = $_SESSION['tabla_guia'];

?><CENTER>
<script language="javascript" src="js/popcalendar.js"></script>
<form action="" method="post" name="backup">
<table width="300" border="0" class="primaria">


<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Seleccionar Rango de Fechas ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="200" class="miTable_td">
Fecha Inicial:</td>
<td width="200" class="miTable_td">
<input type="text" name="f1" id="dates1" value=<? echo date("Y-m-d"); ?> onClick="popUpCalendar(this, backup.dates1, 'yyyy-mm-dd');" class="inputbox">
</td></tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">
Fecha Final:</td>
<td width="200" class="miTable_td">
<input type="text" name="f2" id="dates2" value=<?echo date("Y-m-d"); ?> onClick="popUpCalendar(this, backup.dates2, 'yyyy-mm-dd');" class="inputbox">
<input type="hidden" name="suc" value="<?

    echo $_GET['suc'];

?>" class="inputbox">
<input type="hidden" name="id_user" value="<?

    echo $_GET['id_user'];

?>" class="inputbox">
<input type="hidden" name="tabla" value="<?

    echo $tabla;

?>" class="inputbox">
</td></tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="cruzar" value="Consultar" class="inputbox">
</div>
</td></tr>
</table>
</form>
</CENTER>
<?

    if (isset($cruzar))
    {

if (file_exists($_GET['id_user'] . "guias_incongruencias.txt"))
    unlink($_GET['id_user'] . "guias_incongruencias.txt");
$str_titulos="guia_devolucion;guia_entregada;fecha_cargue;fecha_entrega" . chr(13) . chr(10);
escribe_archivo($str_titulos,$_GET['id_user'] . "guias_incongruencias.txt");

        $f_ini = $_POST['f1'];
        $f_fin = $_POST['f2'];
        $str_sql = "select trim(guia) as guia from rastreo_guias where E16='16' and (date(F16)>='" .
            $f_ini . "' and date(F16)<='" . $f_fin . "')";
        $conexionObj = new conexion();
        $conexionObj->conectarse();
        $retor = $conexionObj->consultar($str_sql);
        $filas = mysql_num_rows($retor);          
        if ($filas > 0)
        {
            while ($row = mysql_fetch_array($retor))
            {
                $var_guia = $row['0'];
                $str_busca_guia = "select trim(direccion) from guias_proceso where guia='".$var_guia."'";
                $ret_guia = $conexionObj->consultar($str_busca_guia);
                if (mysql_num_rows($ret_guia) > 0)
                {
                    $fila = mysql_fetch_array($ret_guia);
                    $var_dir = trim($fila[0]);
                    if (!empty($var_dir))
                    {                        
                        //echo $var_dir.'<br>';
$str_busca_inc = "select guia,fecha_cargue,especial5 from guias_proceso where direccion='".$var_dir ."' and (id_estado=15 or id_estado=14)";                         
                        //$str_busca_inc = "select guia,fecha_cargue,especial5 from guias_proceso where 1=0";                         
                        $ret_inc = $conexionObj->consultar($str_busca_inc);
                        $regs=mysql_num_rows($ret_inc);                        
                        if ($regs>0)
                        {
                            
                            $v_fila = mysql_fetch_array($ret_inc);
                            $v_guia = trim($v_fila[0]);
                            $v_cargue = trim($v_fila[1]);
                            $v_entrega = trim($v_fila[2]);
                            $result=$var_guia.';'.$v_guia . ';' . $v_cargue . ';' . $v_entrega. chr(13) . chr(10);;                            
                            $_SESSION['cnt_inc'] = $_SESSION['cnt_inc'] + 1;
                            escribe_archivo($result, $_GET['id_user'] . "guias_incongruencias.txt");                                                                                  
                        }

                    }
                }

            }
        }
    
    if($_SESSION['cnt_inc']>0){
    
    
    echo "<center><table width='350' border='0' class='primaria'><tr class=miTable_tr><td class=miTable_td><div align='center'>
			<b><div align='center'>Guias Consultadas &nbsp;&nbsp;" . $filas .
        "&nbsp;&nbsp;</div></b></div></td></tr></table></center></br>";
    
    
    
    echo "<center><table width='350' border='0' class='primaria'><tr class=miTable_tr><td class=miTable_td><div align='center'>
			<b><div align='center'>Guias Con Incongruencias &nbsp;&nbsp;" . $_SESSION['cnt_inc'] .
        "&nbsp;&nbsp;<a href='" . $_GET['id_user'] .
        "guias_incongruencias.txt' target='_blank'>Ver Detalle</a>&nbsp;&nbsp;
            <a href='descargar.php?f=" . $_GET['id_user'] .
        "guias_incongruencias.txt'>Descargar</a> </div></b></div></td></tr></table></center></br>";
    }
    
    }


    mostrar_pie();
}
echo "</td>";
echo "</tr>";
echo "</table>";
echo "<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo "<tbody><tr>";
echo "<td></td>";
echo "</tr>";
echo "<tr>";
echo "<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo "</tr>";
echo "<tr>";

?><td><center>
<?
        pie_de_pagina();
        ?>
</center></td>
<?php

echo "</tr>";
echo "</tbody></table>";
echo "</center>";
echo "</body>";
echo "</html>";

?>
